- step: In `Rules` section, change the scan type to `Security Scan`
  expected_results:
    - Fields `All scanners`, `Select security levels`, `Select vulnerability states` and `All protected branches` become visible
- step: In `Rules` section, select only `$SCANNER_NAME` scanner, set number of vulnerabilities to `more than 1`, select `Critical` and `High` severity, select `Newly detected`
  expected_results:
    - "`Actions` section is visible with action: THEN Require approval from 1 of the following approvers with ability to `Search users or groups`"
    - |-
      `.yaml preview` is visible with content:
              ```yaml
              type: scan_result_policy
              name: ''
              description: ''
              enabled: true
              rules:
                - type: scan_finding
                  branches: []
                  scanners:
                    - $SCANNER_KEY
                  vulnerabilities_allowed: 1
                  severity_levels:
                    - critical
                    - high
                  vulnerability_states:
                    - newly_detected
              actions:
                - type: require_approval
                  approvals_required: 1
                  user_approvers: []
              ```
